CBLM v2.9.5 (12/xx/07) - http://www.digitalgenesis.com

Additional information and install help can be found within our forums:

  http://www.digitalgenesis.com/support/forum

Quick Install:

  0. Untar the distribution archive. It will create a cblm-2.9.5 directory.
     Several examples follow:

     For .tar.gz files:
       tar xvzf cblm-2.9.5.tar.gz
        -or-
       zcat cblm-2.9.5.tar.gz | tar xvf -

     For .tar.bz2 files:
       tar xvIf cblm-2.9.5.tar.bz2
        -or-
       tar xvf cblm-2.9.5.tar.bz2 --with-compress-program=bzip2
        -or-
       bzcat cblm-2.9.5.tar.bz2 | tar xvf -

  1. Run './configure' in the cblm directory (you may need extra flags).

     cd cblm-2.9.5

     ./configure

  2. Run 'make all', then 'make install' as root.

     make all
     su -c 'make install'

  3. Setup MySQL Database.

     > mysql -u root -p mysql < doc/mysql-cblm.sql

     > echo "GRANT SELECT,INSERT,UPDATE,DELETE,LOCK TABLES ON cblm.* TO cblm@'%' IDENTIFIED BY 'mypass'" | mysql -u root -p mysql

  4. Run 'cblmd' the CBLM daemon.

     Replace 'sql.domain.com' with your SQL servers hostname or IP.

     > /usr/local/bin/cblmd -H sql.domain.com -P mypass

     NOTE: You will need to start at least two probes (cblmd) on different
           servers to get statistics out of CBLM.

  5. Configure web server to serve up CBLM Web GUI.

     Edit html/config/config.php and set your database username, password, etc.

     > vi html/config/config.php

     Copy the html directory to your web directory.

     > cp -a html /var/www/cblm

     For Apache, set your 'DirectoryIndex' within your httpd.conf as follows:

     DirectoryIndex index.php index.html

     This configuration assumes that you have Apache working with PHP already.
     Optionally, you could symlink the html directory or setup a virtual server.

  6. Test by viewing the Web GUI in your browser.

     http://www.domain.com/cblm/

     NOTE: It may take several minutes for the Web GUI to begin displaying
           content. cblmd needs at least 60 second to start inserting data into
           the database.

Fini
